SDL_androidvideo.h File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_mutex.h"`
`#include "SDL_rect.h"`
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_androidvideo.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_VideoData

## Functions

void | Android_SetScreenResolution (int surfaceWidth, int surfaceHeight, int deviceWidth, int deviceHeight, Uint32 format, float rate)
void | Android_SendResize (SDL_Window *window)

## Variables

int | Android_SurfaceWidth
int | Android_SurfaceHeight
SDL_sem * | Android_PauseSem
SDL_sem * | Android_ResumeSem
SDL_mutex * | Android_ActivityMutex

## Function Documentation

## Android_SendResize()

void Android_SendResize | ( | SDL_Window * | window | ) |

## Android_SetScreenResolution()

void Android_SetScreenResolution | ( | int | surfaceWidth,
|  | int | surfaceHeight,
|  | int | deviceWidth,
|  | int | deviceHeight,
|  | Uint32 | format,
|  | float | rate
| ) |  |

## Variable Documentation

## Android_ActivityMutex

SDL_mutex* Android_ActivityMutex

## Android_PauseSem

SDL_sem* Android_PauseSem

## Android_ResumeSem

SDL_sem * Android_ResumeSem

Definition at line 45 of file SDL_androidvideo.h.

## Android_SurfaceHeight

int Android_SurfaceHeight

## Android_SurfaceWidth

int Android_SurfaceWidth